# studio::Widget_NavView Class Reference

`#include <dock_navigator.h>`

List of all members.

## Public Member Functions

| Widget_NavView (CanvasView::LooseHandle cv=CanvasView::LooseHandle())
| ~Widget_NavView ()
etl::loose_handle < studio::CanvasView > | get_canvas_view ()

## Constructor & Destructor Documentation

studio::Widget_NavView::Widget_NavView | ( | CanvasView::LooseHandle | cv = `CanvasView::LooseHandle()` | ) |

References get_canvas_view().

studio::Widget_NavView::~Widget_NavView | ( |  | ) |

## Member Function Documentation

etl::loose_handle<studio::CanvasView> studio::Widget_NavView::get_canvas_view | ( |  | ) | `[inline]`

Referenced by Widget_NavView().

The documentation for this class was generated from the following files:

- dock_navigator.h
- dock_navigator.cpp